<?php
#	header("Cache-Control: no-cache");
#	header("Pragma: no-cache");
	header('Content-type: text/html; charset=utf-8');
	$timeout=30;

	if (! isset($_GET['camera'])) die("Не указана камера");
	$camera = addslashes($_GET['camera']);
	$camera = str_replace("/", "", $camera);

	if (isset($_GET['md5'])) $md5 = $_GET['md5'];

	$tmpdir = "/var/cache/vargus";
	$event_file = $camera . "_events.txt";

	$starttime = time();

	while ((! file_exists("$tmpdir/$event_file") && ($starttime + $timeout >= time())))  {
		usleep(200000);
	}
	if (! file_exists("$tmpdir/$event_file")) {
		echo 'md5=""; divbody="&nbsp";';
		return;
	}


	$text = `cat $tmpdir/$event_file`;
	$now_md5 = md5($text);

	if ($md5 == $now_md5) {
		$lastmodify = filemtime("$tmpdir/$event_file");
		$starttime = time();
		while (
			(file_exists("$tmpdir/$event_file")) && 
			($lastmodify == filemtime("$tmpdir/$event_file")) && 
			($starttime + $timeout >= time()) 
		) {
			clearstatcache();
			usleep(200000);
		}
		if (! file_exists("$tmpdir/$event_file")) {
			echo 'md5=""; divbody="&nbsp";';
			return;
		}

		if ($lastmodify == filemtime("$tmpdir/$event_file")) {
			echo "md5=\"$md5\"; divbody=\"\";";
			exit(0);
		}
		$text = `cat $tmpdir/$event_file`;
		$now_md5 = md5($text);
	}
	$md5 = $now_md5;


	if (! get_magic_quotes_gpc()) {
		$text =	str_replace('\\', '\\\\', $text);
	}
	$text = htmlentities($text, ENT_QUOTES, "UTF-8");
	$text = str_replace("\n", "<br>", $text);
	
	echo "md5=\"$md5\"; divbody=\"$text\";";

?>

